Bug 995433 - Review Request: glassfish-ejb-api - Java EJB 3.2 API Design Specification
Review Request: glassfish-ejb-api - Java EJB 3.2 API Design Specification
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On: 995435 1258274
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 07:11 EDT by gil cattaneo
Modified: 2015-11-29 21:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-29 21:19:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-09 07:11:12 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-ejb-api.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-ejb-api-3.2-1.fc19.src.rpm
Description: Project GlassFish Enterprise JavaBean API.
Fedora Account System Username: gil
Comment 3 Tom "spot" Callaway 2015-11-10 15:12:43 EST
Good:

- rpmlint checks return:
glassfish-ejb-api.src: W: invalid-url Source0: glassfish-ejb-api-3.2.tar.xz
glassfish-ejb-api.noarch: W: no-documentation

All safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream (manual check okay)
- package compiles on f23 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- javadoc okay
- nothing in %doc affects runtime
- no need for .desktop file 

One more time, the license tag should be "CDDL or GPLv2 with exceptions". Your spec says "and". Please fix before import.

APPROVED.
Comment 4 gil cattaneo 2015-11-10 15:25:50 EST
(In reply to Tom "spot" Callaway from comment #3)

> One more time, the license tag should be "CDDL or GPLv2 with exceptions".
> Your spec says "and". Please fix before import.

Done

Spec URL: http://gil.fedorapeople.org/glassfish-ejb-api.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-ejb-api-3.2-1.fc23.src.rpm

Thanks!

Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/1468
https://admin.fedoraproject.org/pkgdb/package/requests/1469
Comment 5 Gwyn Ciesla 2015-11-11 09:18:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/glassfish-ejb-api
Comment 6 gil cattaneo 2015-11-11 11:17:40 EST
I believe that this bug is fixed in glassfish-ejb-api-3.2-1.fc24,
So I am closing this bug now.
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11794983
Comment 7 Fedora Update System 2015-11-22 02:17:33 EST
glassfish-ejb-api-3.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7a2ec222f1
Comment 8 Fedora Update System 2015-11-22 09:24:44 EST
glassfish-ejb-api-3.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update glassfish-ejb-api'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7a2ec222f1
Comment 9 Fedora Update System 2015-11-29 21:19:15 EST
glassfish-ejb-api-3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.